import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class CwProjectBusinessTypeService {
  list (params) {
    return request({
      url: prefix +  '/projectRecords/cw_project_business_type/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: prefix +  '/projectRecords/cw_project_business_type/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getList () {
    return request({
      url: prefix +  '/projectRecords/cw_project_business_type/getList',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: prefix +  `/projectRecords/cw_project_business_type/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: prefix +  '/projectRecords/cw_project_business_type/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  findListByIsShow(params){
	  return request({
		  url: prefix +  '/projectRecords/cw_project_business_type/findList',
		  method: 'get',
		  params: params
	  })
  }

}
